#
# spec file for package dbench (Version 4.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           dbench
License:        GPL v2 or later
Group:          System/Benchmark
AutoReqProv:    on
Version:        4.0
Release:        150.19
Summary:        File System Benchmark Similar to Netbench
Url:            http://samba.org/ftp/tridge/dbench/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-ctcstools.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	autoconf automake
BuildRequires:	popt-devel

%description
Dbench is a file system benchmark that generates load patterns similar
to those of the commercial Netbench benchmark, but without requiring a
lab of Windows load generators to run. It is now considered a de facto
standard for generating load on the Linux VFS.



Authors:
--------
    Andrew Tridgell <tridge@samba.org>

%package ctcs2-glue 
License:        GPL v2 or later
Summary:        File System Benchmark similar to Netbench
Group:          System/Benchmark
Requires:       ctcs2 >= 0.1.1 dbench nfs-kernel-server
#BuildArchitectures: 	noarch

%description ctcs2-glue
Dbench is a file system benchmark that generates load patterns similar
to those of the commercial Netbench benchmark, but without requiring a
lab of Windows load generators to run. It is now considered a de-facto
standard for generating load on the Linux VFS.



Authors:
--------
    Andrew Tridgell <tridge@samba.org>

%prep
%setup -q -n %{name}-%{version} -a1

%build
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --datadir=/usr/share/dbench
make

%install
# install dbench
make install prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/usr/share/dbench mandir=$RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/%_docdir/dbench
install -m 644 README $RPM_BUILD_ROOT/%_docdir/dbench/README
# create directories
mkdir -p $RPM_BUILD_ROOT/usr/share/qa/dbench/tcf
mkdir -p $RPM_BUILD_ROOT/usr/share/qa/tcf
mkdir -p $RPM_BUILD_ROOT/usr/lib/ctcs2/tools
# install ctcs2 related files in the ctcs2-glue sub packages
install -m 744 ctcstools/do_dbench $RPM_BUILD_ROOT/usr/share/qa/dbench/
install -m 744 ctcstools/do_dbench_nfs $RPM_BUILD_ROOT/usr/share/qa/dbench/
install -m 644 ctcstools/dbench-*.tcf $RPM_BUILD_ROOT/usr/share/qa/dbench/tcf/
for A in ctcstools/dbench-*.tcf
do
	B=`basename $A`
	ln -s ../../../../usr/share/qa/dbench/tcf/$B $RPM_BUILD_ROOT/usr/share/qa/tcf/
done
install -m 744 ctcstools/dbench-run $RPM_BUILD_ROOT/usr/lib/ctcs2/tools
install -m 744 ctcstools/dbench-run-old $RPM_BUILD_ROOT/usr/lib/ctcs2/tools
install -m 744 ctcstools/dbench-nfs-run $RPM_BUILD_ROOT/usr/lib/ctcs2/tools
install -m 744 ctcstools/dbench-nfs4-run $RPM_BUILD_ROOT/usr/lib/ctcs2/tools
find $RPM_BUILD_ROOT/usr/share/dbench -name "*.txt" -type f -print0 | xargs -r -0 chmod a-x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)   
/usr/bin/dbench
/usr/bin/tbench
/usr/bin/tbench_srv
/usr/share/man/man1/dbench.1.gz
/usr/share/man/man1/tbench.1.gz
/usr/share/man/man1/tbench_srv.1.gz
/usr/share/dbench
%doc %_docdir/dbench

%files ctcs2-glue
%defattr(-,root,root)
/usr/share/qa
/usr/lib/ctcs2

%changelog
* Sat Aug 09 2009 Carsten Schoene <cs@linux-administrator.com> - 4.0-150
- import dbench and update to release 4.0

* Mon Oct 27 2008 dsterba@suse.cz
- use path for documentation from docdir
* Thu Oct 16 2008 vmarsik@suse.cz
- added dependency on kernel-nfs-server for the ctcs2-glue subpackage
* Fri Sep 26 2008 vmarsik@suse.cz
- added TCF for running on local NFS mount
- reverted Yi's renaming
* Tue Apr  8 2008 yxu@suse.de
- renamed all filed done by vmarsik, with a -v suffix
- return to old file name schema to keep integrity and continuity of dbench tables in QADB
* Wed Mar 19 2008 yxu@suse.de
- adjust the wait time in tcf file (much longer than 750s in real test)
* Wed Mar 12 2008 yxu@suse.de
- removed do_dbench,v in ctcstool source (it is not built anywhere)
- retrieving content from the old missing patch fixing_suse_cert_dependency, and integrated into source
* Fri Mar  7 2008 yxu@suse.de
- submit the package to all distributions
* Mon Mar  3 2008 vmarsik@suse.cz
- subpkg dbench-ctcs2-glue: now uses /tmp when /abuild not available
- subpkg dbench-ctcs2-glue: starts a series of 1,2,4,8,12,16,20,24,32,40,48,56,64,96,128,192,256,384,500 processes
- subpkg dbench-ctcs2-glue: every run now takes only the standard time of 120+600 seconds
- subpkg dbench-ctcs2-glue: old version still available under dbench-run-old
* Fri Jul 27 2007 pkirsch@suse.de
- dodbench_spare_file fixes the awk command for searching the size
  of the choosen dir. Now it can run on a spare file.
* Wed Feb 21 2007 yxu@suse.de
- merge several fixing_suse_cert_dependency patches into one file
* Thu Feb  8 2007 yxu@suse.de
- finished removing dependency on pkg suse_cert
* Mon Jan 29 2007 yxu@suse.de
- continued removing dependency on pkg suse_cert
- fixed typo
* Fri Nov 10 2006 ro@suse.de
- fix docu permissions
* Mon Feb  6 2006 fseidel@suse.de
- removed dpendency on pkg suse_cert
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec  7 2005 kgw@suse.de
- subpkg dbench-ctcs2-glue: Added wrapper script do_dbench
  for some pre-test error checking
- subpkg dbench-ctcs2-glue: adapted the *.tcf accordingly
- subpkg dbench-ctcs2-glue: new: dependency on pkg suse-cert
* Tue Nov 15 2005 ories@suse.de
- major update to 3.04
- moved clients.txt to /usr/share/dbench/
- added subpackage dbench-ctcs2-glue
* Thu Jun 30 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Wed Jun 18 2003 ro@suse.de
- added directory to filelist
* Wed Sep 18 2002 ro@suse.de
- removed bogus self-provides
* Tue Dec 18 2001 ories@suse.de
- initial package
